Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Twoway_Invocation Class Reference

Encapsulate a two-way invocation. More...

`#include <Invocation.h>`

Inheritance diagram for TAO_GIOP_Twoway_Invocation:

[legend]
Collaboration diagram for TAO_GIOP_Twoway_Invocation:

[legend]
List of all members.

## Public Methods
| TAO_GIOP_Twoway_Invocation (TAO_Stub *stub, const char *operation, CORBA::ULong opname_len, CORBA::Boolean argument_flag, TAO_ORB_Core *orb_core, int byte_order=TAO_ENCAP_BYTE_ORDER)
| Constructor. More...
virtual | ~TAO_GIOP_Twoway_Invocation (void)
| Destructor. More...
void | start (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Establishes a connection to the remote server, initializes the GIOP headers in the output CDR. More...
int | invoke (TAO_Exception_Data *excepts, CORBA::ULong except_count ACE_ENV_ARG_DECL) throw (CORBA::Exception)
| Special purpose invoke method used by the generated stubs. More...
void | reset_states (void)
| Special purpose method. More...

## Detailed Description

Encapsulate a two-way invocation.

Sends a two-way request, and expects the reply. This class connects (or lookups a connection from the cache) to the remote server, builds the CDR stream for the Request, send the CDR stream and expects the response and interprets the incoming CDR stream.

## Constructor & Destructor Documentation

ACE_INLINE TAO_GIOP_Twoway_Invocation::TAO_GIOP_Twoway_Invocation | ( | TAO_Stub * | stub,
|  | const char * | operation,
|  | CORBA::ULong | opname_len,
|  | CORBA::Boolean | argument_flag,
|  | TAO_ORB_Core * | orb_core,
|  | int | byte_order = TAO_ENCAP_BYTE_ORDER
| ) |

| Constructor.

ACE_INLINE TAO_GIOP_Twoway_Invocation::~TAO_GIOP_Twoway_Invocation | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_GIOP_Twoway_Invocation::invoke | ( | TAO_Exception_Data * | excepts,
|  | CORBA::ULong except_count | ACE_ENV_ARG_DECL
| ) | throw (CORBA::Exception)

| Special purpose invoke method used by the generated stubs. This accomplishes the same task as the normal invoke except that Exceptions are allocated and decoded here. This reduces the footprint of the generated stubs.

void TAO_GIOP_Twoway_Invocation::reset_states | ( | void |  | ) |

| Special purpose method. This is used by services that restart invocation on a different target because of a failure of the first target like the FT_service. This method is used to clear off any state that are associated with the previous invocation

void TAO_GIOP_Twoway_Invocation::start | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)

| Establishes a connection to the remote server, initializes the GIOP headers in the output CDR. Reimplemented from TAO_GIOP_Invocation.

The documentation for this class was generated from the following files:

- Invocation.h
- Invocation.cpp
- Invocation.i